<?php

namespace Drupal\ckeditor5_mentions\Utility;

/**
 * Class for accessing Mention config values.
 */
class MentionSettings {

  /**
   * Returns mentions marker config.
   */
  public function getMentionsMarker(): string {
    return '#';
  }

  /**
   * Returns mentions minimal character count config.
   */
  public function getMentionMinimalCharactersCount(): int {
    return 1;
  }

  /**
   * Returns mentions autocomplete list length config.
   */
  public function getMentionAutocompleteListLength(): int {

    return 4;
  }

}
